Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86569 - Incorrect display from 'ps' with kernel-2.4.18-27.7.x RPM
Summary: Incorrect display from 'ps' with kernel-2.4.18-27.7.x RPM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 87674 89535 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-25 20:33 UTC by Daniel Rogers
Modified: 2007-04-21 12:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:42 UTC


Attachments (Terms of Use)
Bug 86569 (deleted)
2007-04-21 12:21 UTC, Andy Colman
no flags Details

Description Daniel Rogers 2003-03-25 20:33:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After performing three RH 6.2->7.3 upgrades, and installing the update RPMS, the
systems behaved oddly.  After reboot, 'ps ax' showed the following:

29528 ?        S      0:00 [sendmail]
29529 ?        S      0:00 [mimedefang]
29538 ?        S      0:00 [sendmail]
29594 ?        S      0:00 [sendmail]
30360 ?        S      0:00 [sendmail]
30781 ?        S      0:00 [sendmail]
30869 ?        S      0:00 [sendmail]
30919 ?        S      0:00 [sendmail]
32539 ?        S      0:00 [sendmail]
32540 ?        S      0:00 [mimedefang]
 1367 ?        S      0:00 [sendmail]
 1758 ?        S      0:00 [mimedefang]
 4211 ?        S      0:00 [sendmail]
 4214 ?        S      0:00 [mimedefang]
 4686 ?        S      0:00 [sendmail]
 4688 ?        S      0:00 [mimedefang]
 4785 ?        S      0:00 [sendmail]
 4786 ?        S      0:00 [mimedefang]
 4998 ?        S      0:00 [sendmail]
 4999 ?        S      0:00 [mimedefang]
 5005 ?        S      0:00 [sendmail]
 5006 ?        S      0:00 [mimedefang]
 5518 ?        S      0:00 [sendmail]
 5598 ?        S      0:00 [mimedefang]
 5669 ?        S      0:00 [sendmail]
 5671 ?        S      0:00 [mimedefang]
 5682 ?        S      0:00 [sendmail]
 5684 ?        S      0:00 [sendmail]
 5685 ?        S      0:00 [sendmail]
 5687 ?        S      0:00 [mimedefang]
 5690 ?        S      0:00 [mimedefang]

However, at the time, the system was using _no_ swap.

Downgrading to kernel-2.4.18-24.7.x fixes this.

Dan.


Version-Release number of selected component (if applicable):
kernel-2.4.18-27.7.x

How reproducible:
Always

Steps to Reproduce:

    

Additional info:

Comment 1 Daniel Rogers 2003-03-26 19:20:21 UTC
Also, kernel-2.4.18-26 is not affected by this.


Comment 2 Arjan van de Ven 2003-03-27 08:54:52 UTC
the ps output is limited because these are setuid apps, and with the ptrace fix
we had to tighten getting info from such apps. Getting all kinds of info from
such sensitive apps is a sensitive security issue; the update went to the other
side of cautious and we'll be looking at if we can relax the checking a bit in
the future; it's as clear cut as it might look though  :(

Comment 3 Daniel Rogers 2003-03-27 17:18:31 UTC
Ok, thanks.  I suspected it was something along those lines.

It's annoying on the ps display, but it was also causing a problem with the
mimedefang init script, as 'pidof' wasn't able to find the
'mimedefang-multiplexor' process, as the name was being truncated.

Dan.


Comment 5 Arjan van de Ven 2003-04-24 08:50:40 UTC
*** Bug 89535 has been marked as a duplicate of this bug. ***

Comment 6 Eric Hagberg 2003-05-01 17:42:37 UTC
Actually, it isn't just setuid processes. sendmail doesn't show up as bracketed
(it is running as root) and is setuid. nscd shows up bracketed and isn't setuid.

Does this have more to do with how the process is started? I see jserver,
cserver, cannaserver, kserver, tserver and xfs bracketed, but none are setuid,
just running as a non-root id.



Comment 10 Bugzilla owner 2004-09-30 15:40:42 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/


Comment 11 Andy Colman 2007-04-21 12:21:58 UTC
Created attachment 153237 [details]
Bug 86569


Note You need to log in before you can comment on or make changes to this bug.